<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (21) -->
<title>Source code</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="description" content="source: package: org.apache.commons.cli, interface: CommandLineParser">
<meta name="generator" content="javadoc/SourceToHTMLConverter">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body class="source-page">
<main role="main">
<div class="source-container">
<pre><span class="source-line-no">001</span><span id="line-1">/*</span>
<span class="source-line-no">002</span><span id="line-2">  Licensed to the Apache Software Foundation (ASF) under one or more</span>
<span class="source-line-no">003</span><span id="line-3">  contributor license agreements.  See the NOTICE file distributed with</span>
<span class="source-line-no">004</span><span id="line-4">  this work for additional information regarding copyright ownership.</span>
<span class="source-line-no">005</span><span id="line-5">  The ASF licenses this file to You under the Apache License, Version 2.0</span>
<span class="source-line-no">006</span><span id="line-6">  (the "License"); you may not use this file except in compliance with</span>
<span class="source-line-no">007</span><span id="line-7">  the License.  You may obtain a copy of the License at</span>
<span class="source-line-no">008</span><span id="line-8"></span>
<span class="source-line-no">009</span><span id="line-9">      http://www.apache.org/licenses/LICENSE-2.0</span>
<span class="source-line-no">010</span><span id="line-10"></span>
<span class="source-line-no">011</span><span id="line-11">  Unless required by applicable law or agreed to in writing, software</span>
<span class="source-line-no">012</span><span id="line-12">  distributed under the License is distributed on an "AS IS" BASIS,</span>
<span class="source-line-no">013</span><span id="line-13">  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.</span>
<span class="source-line-no">014</span><span id="line-14">  See the License for the specific language governing permissions and</span>
<span class="source-line-no">015</span><span id="line-15">  limitations under the License.</span>
<span class="source-line-no">016</span><span id="line-16"> */</span>
<span class="source-line-no">017</span><span id="line-17"></span>
<span class="source-line-no">018</span><span id="line-18">package org.apache.commons.cli;</span>
<span class="source-line-no">019</span><span id="line-19"></span>
<span class="source-line-no">020</span><span id="line-20">/**</span>
<span class="source-line-no">021</span><span id="line-21"> * A class that implements the {@code CommandLineParser} interface can parse a String array according to the</span>
<span class="source-line-no">022</span><span id="line-22"> * {@link Options} specified and return a {@link CommandLine}.</span>
<span class="source-line-no">023</span><span id="line-23"> */</span>
<span class="source-line-no">024</span><span id="line-24">public interface CommandLineParser {</span>
<span class="source-line-no">025</span><span id="line-25"></span>
<span class="source-line-no">026</span><span id="line-26">    /**</span>
<span class="source-line-no">027</span><span id="line-27">     * Parses the arguments according to the specified options.</span>
<span class="source-line-no">028</span><span id="line-28">     *</span>
<span class="source-line-no">029</span><span id="line-29">     * @param options the specified Options</span>
<span class="source-line-no">030</span><span id="line-30">     * @param arguments the command line arguments</span>
<span class="source-line-no">031</span><span id="line-31">     * @return the list of atomic option and value tokens</span>
<span class="source-line-no">032</span><span id="line-32">     *</span>
<span class="source-line-no">033</span><span id="line-33">     * @throws ParseException if there are any problems encountered while parsing the command line tokens.</span>
<span class="source-line-no">034</span><span id="line-34">     */</span>
<span class="source-line-no">035</span><span id="line-35">    CommandLine parse(Options options, String[] arguments) throws ParseException;</span>
<span class="source-line-no">036</span><span id="line-36"></span>
<span class="source-line-no">037</span><span id="line-37">    /**</span>
<span class="source-line-no">038</span><span id="line-38">     * Parses the arguments according to the specified options and properties.</span>
<span class="source-line-no">039</span><span id="line-39">     *</span>
<span class="source-line-no">040</span><span id="line-40">     * @param options the specified Options</span>
<span class="source-line-no">041</span><span id="line-41">     * @param arguments the command line arguments</span>
<span class="source-line-no">042</span><span id="line-42">     * @param properties command line option name-value pairs</span>
<span class="source-line-no">043</span><span id="line-43">     * @return the list of atomic option and value tokens</span>
<span class="source-line-no">044</span><span id="line-44">     *</span>
<span class="source-line-no">045</span><span id="line-45">     * @throws ParseException if there are any problems encountered while parsing the command line tokens.</span>
<span class="source-line-no">046</span><span id="line-46">     */</span>
<span class="source-line-no">047</span><span id="line-47">    /*</span>
<span class="source-line-no">048</span><span id="line-48">     * To maintain binary compatibility, this is commented out. It is still in the abstract Parser class, so most users will</span>
<span class="source-line-no">049</span><span id="line-49">     * still reap the benefit. CommandLine parse(Options options, String[] arguments, Properties properties) throws</span>
<span class="source-line-no">050</span><span id="line-50">     * ParseException;</span>
<span class="source-line-no">051</span><span id="line-51">     */</span>
<span class="source-line-no">052</span><span id="line-52"></span>
<span class="source-line-no">053</span><span id="line-53">    /**</span>
<span class="source-line-no">054</span><span id="line-54">     * Parses the arguments according to the specified options.</span>
<span class="source-line-no">055</span><span id="line-55">     *</span>
<span class="source-line-no">056</span><span id="line-56">     * @param options the specified Options</span>
<span class="source-line-no">057</span><span id="line-57">     * @param arguments the command line arguments</span>
<span class="source-line-no">058</span><span id="line-58">     * @param stopAtNonOption if {@code true} an unrecognized argument stops the parsing and the remaining arguments</span>
<span class="source-line-no">059</span><span id="line-59">     *        are added to the {@link CommandLine}s args list. If {@code false} an unrecognized argument triggers a</span>
<span class="source-line-no">060</span><span id="line-60">     *        ParseException.</span>
<span class="source-line-no">061</span><span id="line-61">     *</span>
<span class="source-line-no">062</span><span id="line-62">     * @return the list of atomic option and value tokens</span>
<span class="source-line-no">063</span><span id="line-63">     * @throws ParseException if there are any problems encountered while parsing the command line tokens.</span>
<span class="source-line-no">064</span><span id="line-64">     */</span>
<span class="source-line-no">065</span><span id="line-65">    CommandLine parse(Options options, String[] arguments, boolean stopAtNonOption) throws ParseException;</span>
<span class="source-line-no">066</span><span id="line-66"></span>
<span class="source-line-no">067</span><span id="line-67">    /**</span>
<span class="source-line-no">068</span><span id="line-68">     * Parses the arguments according to the specified options and properties.</span>
<span class="source-line-no">069</span><span id="line-69">     *</span>
<span class="source-line-no">070</span><span id="line-70">     * @param options the specified Options</span>
<span class="source-line-no">071</span><span id="line-71">     * @param arguments the command line arguments</span>
<span class="source-line-no">072</span><span id="line-72">     * @param properties command line option name-value pairs</span>
<span class="source-line-no">073</span><span id="line-73">     * @param stopAtNonOption if {@code true} an unrecognized argument stops the parsing and the remaining arguments</span>
<span class="source-line-no">074</span><span id="line-74">     *        are added to the {@link CommandLine}s args list. If {@code false} an unrecognized argument triggers a</span>
<span class="source-line-no">075</span><span id="line-75">     *        ParseException.</span>
<span class="source-line-no">076</span><span id="line-76">     *</span>
<span class="source-line-no">077</span><span id="line-77">     * @return the list of atomic option and value tokens</span>
<span class="source-line-no">078</span><span id="line-78">     * @throws ParseException if there are any problems encountered while parsing the command line tokens.</span>
<span class="source-line-no">079</span><span id="line-79">     */</span>
<span class="source-line-no">080</span><span id="line-80">    /*</span>
<span class="source-line-no">081</span><span id="line-81">     * To maintain binary compatibility, this is commented out. It is still in the abstract Parser class, so most users will</span>
<span class="source-line-no">082</span><span id="line-82">     * still reap the benefit. CommandLine parse(Options options, String[] arguments, Properties properties, boolean</span>
<span class="source-line-no">083</span><span id="line-83">     * stopAtNonOption) throws ParseException;</span>
<span class="source-line-no">084</span><span id="line-84">     */</span>
<span class="source-line-no">085</span><span id="line-85">}</span>




























































</pre>
</div>
</main>
</body>
</html>
